Interface AhcEndpointBuilderFactory.AhcBuilders
-
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- AhcEndpointBuilderFactory
public static interface AhcEndpointBuilderFactory.AhcBuilders
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default AhcEndpointBuilderFactory.AhcEndpointBuilderahc(String path)Async HTTP Client (AHC) (camel-ahc) Call external HTTP services using Async Http Client.default AhcEndpointBuilderFactory.AhcEndpointBuilderahc(String componentName, String path)Async HTTP Client (AHC) (camel-ahc) Call external HTTP services using Async Http Client.
-
-
-
Method Detail
-
ahc
default AhcEndpointBuilderFactory.AhcEndpointBuilder ahc(String path)
Async HTTP Client (AHC) (camel-ahc) Call external HTTP services using Async Http Client. Category: http Since: 2.8 Maven coordinates: org.apache.camel:camel-ahc Syntax:ahc:httpUriPath parameter: httpUri (required) The URI to use such as http://hostname:port/path- Parameters:
path- httpUri- Returns:
- the dsl builder
-
ahc
default AhcEndpointBuilderFactory.AhcEndpointBuilder ahc(String componentName, String path)
Async HTTP Client (AHC) (camel-ahc) Call external HTTP services using Async Http Client. Category: http Since: 2.8 Maven coordinates: org.apache.camel:camel-ahc Syntax:ahc:httpUriPath parameter: httpUri (required) The URI to use such as http://hostname:port/path- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- httpUri- Returns:
- the dsl builder
-
-